> ## Documentation Index
> Fetch the complete documentation index at: https://developer.dittowords.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a project

> Creates a new Ditto project in your workspace. Projects hold project-scoped text items, as opposed to library components which are reusable across projects. Optionally provide a folder's developer ID to create the project inside that folder — if omitted, the project is created at the workspace root.



## OpenAPI

````yaml openapi.json post /projects
openapi: 3.0.0
info:
  version: 1.0.0
  title: Ditto API
  description: Programmatically read and write data in your Ditto workspace.
servers:
  - url: https://api.dittowords.com/v2
security: []
paths:
  /projects:
    post:
      tags:
        - Projects
      summary: Create a project
      description: >-
        Creates a new Ditto project in your workspace. Projects hold
        project-scoped text items, as opposed to library components which are
        reusable across projects. Optionally provide a folder's developer ID to
        create the project inside that folder — if omitted, the project is
        created at the workspace root.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  description: The name of the new project.
                folderId:
                  type: string
                  description: >-
                    The developer ID of the folder to create the project in. If
                    omitted, the project is created at the workspace root.
              required:
                - name
              example:
                name: My New Project
                folderId: my-folder-id
      responses:
        '200':
          description: Returns the developer ID and name of the created project
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The Developer ID of the created project
                  name:
                    type: string
                    description: The name of the created project
                required:
                  - id
                  - name
                example:
                  id: my-new-project
                  name: My New Project
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````